Page MenuHomePhabricator

In the footer, make "Creative Commons Attribution-ShareAlike 3.0 License" and "GNU General Public License" links
Closed, ResolvedPublic

Description

In the footer of all pages, please make Make "Creative Commons Attribution-ShareAlike 3.0 License" and "GNU General Public License" pressable links linking to the appropriate license (and license version).
E.g. creativecommons.org/licenses/by-sa/3.0/

Event Timeline

Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a subscriber: Josve05a.
Josve05a set Security to None.

I remember trying to add them as links last Summer, but then regular HTML code would not work, and you would see the code itself as text.

Qgil triaged this task as Low priority.Apr 6 2015, 3:51 PM
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.
Aklapper renamed this task from Make "Creative Commons Attribution-ShareAlike 3.0 License" and "GNU General Public License" links to In the footer, make "Creative Commons Attribution-ShareAlike 3.0 License" and "GNU General Public License" links.Apr 7 2015, 2:12 PM
Aklapper closed this task as Declined.
Aklapper claimed this task.

We cannot, as the first footer item is plain text and not HTML. We could add links as separate items at the end where the rest of the links are, but feels like overkill to me because we already have four links there.

Currently: https://git.wikimedia.org/blob/operations%2Fpuppet.git/eff2e014d3ad0563f87cd6d10c0d9b567dfdb221/modules%2Fphabricator%2Fdata%2Ffixed_settings.yaml#L8

Finally a chance to make money fast (cf. https://creativecommons.org/licenses/by-sa/3.0/legalcode):

[…]

  1. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:

You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform.
[…]

Will a court just apply the Copyright Act and award statuory damages? Is "we could, but nope" "willful"? Film at 11.

I was going to comment something similarly as @scfc did, but also include the GFDL-license.
Because we are not able to "do it", should mean that this should be "upstreamed" to the Phabricator-devs, and be prioritized given the license terms.

Upstream is very sensitive to legal requirements (they implemented this footer because we told them we needed to mention license, terms of use, etc in all pages according to the State Of California etc etc). OK to reopen> Anybody wants to file the task upstream, quoting the relevant CC text mentioned above?

Change 202708 had a related patch set uploaded (by Aklapper):
Provide URLs for licenses mentioned in Phabricator footer

https://gerrit.wikimedia.org/r/202708

Thank you for correcting me and reopening this! Appreciated.
I don't think this necessarily requires upstreaming. I've cooked up a local patch.

Aklapper raised the priority of this task from Low to Medium.Apr 8 2015, 11:44 AM

I'm confused as to why we are adding things here? AFAIK legal basically dictated the existing footer as it is entirely a legal requirement. If the argument for the additions are legal in nature no one in this ticket is qualified to determine them. There may be other outstanding concerns that ideally would be addressed first.

Overall though, why are we changing the footer as set down by legal?

IANL, but AFAIK per the quoted paragraph in the above mentioned legal text for the licese (CC By-SA 3.0) a link to creativecommons.org, or the entirty of the legal code (license) is needed to be stored on the site and linked to. (That, or a link to another website, which has a lik to the license, such as image on Wikipedia > Wikimedia Commons > License)

IANL, but AFAIK per the quoted paragraph in the above mentioned legal text for the licese (CC By-SA 3.0) a link to creativecommons.org, or the entirty of the legal code (license) is needed to be stored on the site and linked to. (That, or a link to another website, which has a lik to the license, such as image on Wikipedia > Wikimedia Commons > License)

This is a reasonable question to pose to our actual lawyers. I'm not for or against this change. But all of us are IANAL.

But all of us are IANAL.

Or at least IANYL ;). (But, the best thing is to err on the side of caution, better to be overcautious, than not.)

This is a reasonable question to pose to our actual lawyers. I'm not for or against this change. But all of us are IANAL.

CC'ing Jalexander :-)

Imho it is a good idea to let WMF legal decide how to.

@Slaporte: Input/clarifcation highly welcome on how to fix linking to licenses in Phabricator's page footer, as that footer was added after a request by Legal in T94946#1189655.

Temporarily assigning to @Slaporte - please reassign to me after clarifying what to put into the footer patch. Thanks!

@Aklapper: We should add URLs for CC BY-SA 3.0 and GPL v2 to the footer, although both of these links are also currently available if you read through the Terms of Use. This patch is sufficient if you can't add links in the text of the footer.

Change 202708 merged by Rush:
Provide URLs for licenses mentioned in Phabricator footer

https://gerrit.wikimedia.org/r/202708

Thanks @Slaporte. Resolving then, see footer :)